
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef velodyne_POSTER_SHOW_LIB_H
#define velodyne_POSTER_SHOW_LIB_H

#include "velodynePosterLib.h"

/* Prototypes */
extern STATUS velodyneCntrlPosterShow ( void );
extern STATUS velodyneCntrlPosterActivityShow ( void );
extern STATUS velodyneThreeDImagePosterShow ( void );
extern STATUS velodyneThreeDImagevelodyne3DImagePosterShow ( void );
extern STATUS velodyneTargetAbsolutePositionPosterShow ( void );
extern STATUS velodyneTargetAbsolutePositionGENPOS_TRAJ_POINTSPosterShow ( void );
extern STATUS velodyneTargetRelativePositionPosterShow ( void );
extern STATUS velodyneTargetRelativePositionGENPOS_TRAJ_POINTSPosterShow ( void );
extern STATUS velodyneTargetTrackingPosterShow ( void );
extern STATUS velodyneTargetTrackingGENPOS_TRAJ_POINTSPosterShow ( void );
#endif /* VELODYNE_POSTER_SHOW_LIB_H */

